Debian Bug report logs - #555923
bubblefishymon (version 0.6.4-3) is broken

version graph

Package: bubblefishymon; Maintainer for bubblefishymon is Mika Matsuzaki <mika@yukidoke.org>; Source for bubblefishymon is src:bfm.

Reported by: Mika Matsuzaki <mika@yukidoke.org>

Date: Thu, 12 Nov 2009 16:33:01 UTC

Severity: important

Tags: patch, sid, squeeze, wheezy

Found in version bfm/0.6.4-3

Fixed in version bfm/0.6.4-4

Done: Mika Matsuzaki <mika@yukidoke.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#555923; Package bubblefishymon. (Thu, 12 Nov 2009 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mika Matsuzaki <mika@yukidoke.org>:
New Bug report received and forwarded. (Thu, 12 Nov 2009 16:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mika Matsuzaki <mika@yukidoke.org>
To: submit@bugs.debian.org
Cc: Cristopher Camacho <cristopher_camacho@yahoo.com>, mika@yukidoke.org
Subject: bubblefishymon (version 0.6.4-3) is broken
Date: Thu, 12 Nov 2009 11:21:42 -0500
Package: bubblefishymon
Version: 0.6.4-3
Severity: grave

I'm filing this bug in the Debian BTS. I hope to be able to take a look at this
soon. That way, maybe other users who use or follow this package can take a
look at this first if they have more time than I. Thanks for your help
Cristopher and for reporting this issue!

Regards,
Mika

----- Forwarded message from Cristopher Camacho <cristopher_camacho@yahoo.com>
-----
    Date: Thu, 29 Oct 2009 10:29:31 -0700 (PDT)
    From: Cristopher Camacho <cristopher_camacho@yahoo.com>
Reply-To: Cristopher Camacho <cristopher_camacho@yahoo.com>
 Subject: bubblefishymon (version 0.6.4-3) is broken
      To: mika@yukidoke.org

Hi Mika,

I would like to ask you something about bubblefishymon in sid and testing which
seem to be broken, whenever it is launched it doesn't paint anything, it simply
produces a blank box.

The version in sid and testing has the following dependencies

Depends: libatk1.0-0 (>= 1.12.2), libc6 (>= 2.3.6-6), libcairo2 (>= 1.2.4),
libfontconfig1 (>= 2.4.0), libglib2.0-0 (>= 2.12.0), libgtk2.0-0 (>= 2.8.0),
libpango1.0-0 (>= 1.14.8), libx11-6, libxcursor1 (>> 1.1.2), libxext6,
libxfixes3 (>= 1:4.0.1), libxi6, libxinerama1, libxrandr2, libxrender1

and I have the following packages installed

ii  libatk1.0-0                          1.28.0-1                   The ATK
accessibility toolkit
ii  libc6                                2.9-25                     GNU C
Library: Shared libraries
ii  libcairo2                            1.8.8-5                    The Cairo 2D
vector graphics library
ii  libfontconfig1                       2.6.0-4                    generic font
configuration library - runtime
ii  libglib2.0-0                         2.22.0-1                   The GLib
library of C routines
ii  libgtk2.0-0                          2.18.2-1                   The GTK+
graphical user interface library
ii  libpango1.0-0                        1.26.0-1                   Layout and
rendering of internationalized te
ii  libx11-6                             2:1.2.2-1                  X11
client-side library
ii  libxcursor1                          1:1.1.9-1                  X cursor
management library
ii  libxext6                             2:1.0.4-1                  X11
miscellaneous extension library
ii  libxfixes3                           1:4.0.3-2                  X11
miscellaneous 'fixes' extension library
ii  libxi6                               2:1.2.1-2                  X11 Input
extension library
ii  libxinerama1                         2:1.0.3-2                  X11 Xinerama
extension library
ii  libxrandr2                           2:1.3.0-2                  X11 RandR
extension library
ii  libxrender1                          1:0.9.4-2                  X Rendering
Extension client library

The problem appeared about 4 weeks ago in sid and around 2 weeks ago in testing.

Could you please take a look at it?

Thanks a lot.

Best regards

Cristopher




----- End forwarded message -----


-- 
Mika Matsuzaki
mika@yukidoke.org
http://mika.yukidoke.org/




Added tag(s) unreproducible. Request was from Patrick Schoenfeld <schoenfeld@debian.org> to control@bugs.debian.org. (Mon, 04 Jan 2010 16:18:04 GMT) Full text and rfc822 format available.

Message sent on to Mika Matsuzaki <mika@yukidoke.org>:
Bug#555923. (Mon, 04 Jan 2010 16:18:09 GMT) Full text and rfc822 format available.

Message #10 received at 555923-submitter@bugs.debian.org (full text, mbox):

From: Patrick Schoenfeld <schoenfeld@debian.org>
To: 555923-submitter@bugs.debian.org, cristopher_camacho@yahoo.com
Cc: control@bugs.debian.org
Subject: Re: bubblefishymon (version 0.6.4-3) is broken
Date: Mon, 4 Jan 2010 17:11:55 +0100
Tags 555923 unreproducible
thanks

Hi,

I've tried to reproduce your issue on my system and failed to do so.
On further analysis I noticed that your system has most of the
depends in versions that are not in the archive anymore.

To isolate the problem: Could you test if the problem goes away
for you if you upgrade the depends?

Best Regards,
Patrick




Message sent on to Mika Matsuzaki <mika@yukidoke.org>:
Bug#555923. (Tue, 05 Jan 2010 11:06:19 GMT) Full text and rfc822 format available.

Message #13 received at 555923-submitter@bugs.debian.org (full text, mbox):

From: Cristopher Camacho <cristopher_camacho@yahoo.com>
To: Patrick Schoenfeld <schoenfeld@debian.org>, 555923-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: bubblefishymon (version 0.6.4-3) is broken
Date: Tue, 5 Jan 2010 02:38:42 -0800 (PST)
Hi Patrick,

I have upgraded my systems (sid amd64 and squeeze i386) to the latest packages in the repositories and the problem is still there, bubblefishymon doesn't draw anything, I only get a black box out of it.

The dependecies that I have installed on squeeze are

libatk1.0-0                          1.28.0-1
libc6                                2.10.2-2
libcairo2                            1.8.8-2
libfontconfig1                       2.6.0-4.2
libglib2.0-0                         2.22.3-1
libgtk2.0-0                          2.18.3-1
libpango1.0-0                        1.26.2-1
libx11-6                             2:1.3.2-1
libxcursor1                          1:1.1.10-1
libxext6                             2:1.0.4-1
libxfixes3                           1:4.0.4-1
libxi6                               2:1.2.1-2
libxinerama1                         2:1.0.3-2
libxrandr2                           2:1.3.0-2
libxrender1                          1:0.9.5-1

and the ones on sid are

libatk1.0-0                             1.28.0-1
libc6                                   2.10.2-3
libcairo2                               1.8.8-2
libfontconfig1                          2.8.0-2
libglib2.0-0                            2.22.3-2
libgtk2.0-0                             2.18.5-1
libpango1.0-0                           1.26.2-1
libx11-6                                2:1.3.2-1
libxcursor1                             1:1.1.10-1
libxext6                                2:1.0.4-1
libxfixes3                              1:4.0.4-1
libxi6                                  2:1.2.1-2
libxinerama1                            2:1.0.3-2
libxrandr2                              2:1.3.0-2 
libxrender1                             1:0.9.5-1

If you need any further information please let me know.

Thanks a lot for your help.

Best regards,

Cristopher


________________________________
From: Patrick Schoenfeld <schoenfeld@debian.org>
To: 555923-submitter@bugs.debian.org; cristopher_camacho@yahoo.com
Cc: control@bugs.debian.org
Sent: Tue, January 5, 2010 12:11:55 AM
Subject: Re: bubblefishymon (version 0.6.4-3) is broken

Tags 555923 unreproducible
thanks

Hi,

I've tried to reproduce your issue on my system and failed to do so.
On further analysis I noticed that your system has most of the
depends in versions that are not in the archive anymore.

To isolate the problem: Could you test if the problem goes away
for you if you upgrade the depends?

Best Regards,
Patrick


      




Severity set to 'important' from 'grave' Request was from Stefan Ritter <xeno@thehappy.de> to control@bugs.debian.org. (Sat, 23 Jan 2010 17:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mika Matsuzaki <mika@yukidoke.org>:
Bug#555923; Package bubblefishymon. (Wed, 26 May 2010 21:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gurkan <gurkan@phys.ethz.ch>:
Extra info received and forwarded to list. Copy sent to Mika Matsuzaki <mika@yukidoke.org>. (Wed, 26 May 2010 21:21:06 GMT) Full text and rfc822 format available.

Message #20 received at 555923@bugs.debian.org (full text, mbox):

From: gurkan <gurkan@phys.ethz.ch>
To: <555923@bugs.debian.org>
Subject: i have
Date: Wed, 26 May 2010 23:18:05 +0200
the exactly same problem :( sid box, intel graphics driver, in window

maker.




Information forwarded to debian-bugs-dist@lists.debian.org, Mika Matsuzaki <mika@yukidoke.org>:
Bug#555923; Package bubblefishymon. (Wed, 11 Aug 2010 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matija Nalis <mnalis+debian@carnet.hr>:
Extra info received and forwarded to list. Copy sent to Mika Matsuzaki <mika@yukidoke.org>. (Wed, 11 Aug 2010 15:36:04 GMT) Full text and rfc822 format available.

Message #25 received at 555923@bugs.debian.org (full text, mbox):

From: Matija Nalis <mnalis+debian@carnet.hr>
To: Debian Bug Tracking System <555923@bugs.debian.org>
Subject: bubblefishymon: no work in squeeze
Date: Wed, 11 Aug 2010 17:10:38 +0200
Package: bubblefishymon
Version: 0.6.4-3
Severity: normal


I can also confirm this problem exists in current squeeze on i386 and Radeon
driver, just a grey box... It might be related to (wmbubble) debian bug #549014

I think this should be confirmed and severity upgraded to grave (or found
what the differences in configurations are which make configuration work or
not)

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=hr_HR.ISO-8859-2, LC_CTYPE=hr_HR.ISO-8859-2 (charmap=ISO-8859-2)
Shell: /bin/sh linked to /bin/dash

Versions of packages bubblefishymon depends on:
ii  libatk1.0-0                   1.30.0-1   The ATK accessibility toolkit
ii  libc6                         2.11.2-2   Embedded GNU C Library: Shared lib
ii  libcairo2                     1.8.10-4   The Cairo 2D vector graphics libra
ii  libfontconfig1                2.8.0-2.1  generic font configuration library
ii  libglib2.0-0                  2.24.1-1   The GLib library of C routines
ii  libgtk2.0-0                   2.20.1-1   The GTK+ graphical user interface 
ii  libpango1.0-0                 1.28.1-1   Layout and rendering of internatio
ii  libx11-6                      2:1.3.3-3  X11 client-side library
ii  libxcursor1                   1:1.1.10-2 X cursor management library
ii  libxext6                      2:1.1.2-1  X11 miscellaneous extension librar
ii  libxfixes3                    1:4.0.5-1  X11 miscellaneous 'fixes' extensio
ii  libxi6                        2:1.3-4    X11 Input extension library
ii  libxinerama1                  2:1.1-3    X11 Xinerama extension library
ii  libxrandr2                    2:1.3.0-3  X11 RandR extension library
ii  libxrender1                   1:0.9.6-1  X Rendering Extension client libra

bubblefishymon recommends no packages.

bubblefishymon suggests no packages.

-- no debconf information




Removed tag(s) unreproducible. Request was from Matija Nalis <mnalis-debianbug@voyager.hr> to control@bugs.debian.org. (Fri, 15 Oct 2010 18:00:05 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Matija Nalis <mnalis-debianbug@voyager.hr> to control@bugs.debian.org. (Fri, 15 Oct 2010 18:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mika Matsuzaki <mika@yukidoke.org>:
Bug#555923; Package bubblefishymon. (Fri, 15 Oct 2010 18:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matija Nalis <mnalis-debianbug@voyager.hr>:
Extra info received and forwarded to list. Copy sent to Mika Matsuzaki <mika@yukidoke.org>. (Fri, 15 Oct 2010 18:09:03 GMT) Full text and rfc822 format available.

Message #34 received at 555923@bugs.debian.org (full text, mbox):

From: Matija Nalis <mnalis-debianbug@voyager.hr>
To: 555923@bugs.debian.org
Cc: control@bugs.debian.org
Subject: fix for squeeze
Date: Fri, 15 Oct 2010 19:56:44 +0200
[Message part 1 (text/plain, inline)]
tags 555923 - unreproducible + patch
thanks

*** Please type your report below this line ***

The bug in bubblefishymon 0.6.4-3 only seems to happen only with WindowMaker.
I've tried with AfterStep, twm and xfce4 and there the applet normally shows
picture.

Looking into the code, it appears the fix just needs to be enabled for it to
also work for WindowMaker. Attached is micro patch which does that.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (650, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=hr_HR, LC_CTYPE=hr_HR (charmap=ISO-8859-2)
Shell: /bin/sh linked to /bin/dash

Versions of packages bubblefishymon depends on:
ii  libatk1.0-0                  1.30.0-1    The ATK accessibility toolkit
ii  libc6                        2.11.2-6    Embedded GNU C Library: Shared lib
ii  libcairo2                    1.8.10-6    The Cairo 2D vector graphics libra
ii  libfontconfig1               2.8.0-2.1   generic font configuration library
ii  libglib2.0-0                 2.24.2-1    The GLib library of C routines
ii  libgtk2.0-0                  2.20.1-1+b1 The GTK+ graphical user interface 
ii  libpango1.0-0                1.28.1-1    Layout and rendering of internatio
ii  libx11-6                     2:1.3.3-3   X11 client-side library
ii  libxcursor1                  1:1.1.10-2  X cursor management library
ii  libxext6                     2:1.1.2-1   X11 miscellaneous extension librar
ii  libxfixes3                   1:4.0.5-1   X11 miscellaneous 'fixes' extensio
ii  libxi6                       2:1.3-4     X11 Input extension library
ii  libxinerama1                 2:1.1-3     X11 Xinerama extension library
ii  libxrandr2                   2:1.3.0-3   X11 RandR extension library
ii  libxrender1                  1:0.9.6-1   X Rendering Extension client libra

bubblefishymon recommends no packages.

bubblefishymon suggests no packages.

-- no debconf information
[bubblefishymon-squeeze-no-picture.diff (text/x-diff, attachment)]

Added tag(s) squeeze and sid. Request was from Matija Nalis <mnalis-debianbug@voyager.hr> to control@bugs.debian.org. (Fri, 15 Oct 2010 18:21:08 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:39 GMT) Full text and rfc822 format available.

Reply sent to Mika Matsuzaki <mika@yukidoke.org>:
You have taken responsibility. (Mon, 28 Feb 2011 00:03:17 GMT) Full text and rfc822 format available.

Notification sent to Mika Matsuzaki <mika@yukidoke.org>:
Bug acknowledged by developer. (Mon, 28 Feb 2011 00:03:17 GMT) Full text and rfc822 format available.

Message #43 received at 555923-close@bugs.debian.org (full text, mbox):

From: Mika Matsuzaki <mika@yukidoke.org>
To: 555923-close@bugs.debian.org
Subject: Bug#555923: fixed in bfm 0.6.4-4
Date: Mon, 28 Feb 2011 00:02:19 +0000
Source: bfm
Source-Version: 0.6.4-4

We believe that the bug you reported is fixed in the latest version of
bfm, which is due to be installed in the Debian FTP archive:

bfm_0.6.4-4.diff.gz
  to main/b/bfm/bfm_0.6.4-4.diff.gz
bfm_0.6.4-4.dsc
  to main/b/bfm/bfm_0.6.4-4.dsc
bubblefishymon_0.6.4-4_amd64.deb
  to main/b/bfm/bubblefishymon_0.6.4-4_amd64.deb
gkrellm-bfm_0.6.4-4_amd64.deb
  to main/b/bfm/gkrellm-bfm_0.6.4-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 555923@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mika Matsuzaki <mika@yukidoke.org> (supplier of updated bfm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 26 Feb 2011 20:44:58 -0500
Source: bfm
Binary: bubblefishymon gkrellm-bfm
Architecture: source amd64
Version: 0.6.4-4
Distribution: unstable
Urgency: low
Maintainer: Mika Matsuzaki <mika@yukidoke.org>
Changed-By: Mika Matsuzaki <mika@yukidoke.org>
Description: 
 bubblefishymon - system load dockapp with a duck
 gkrellm-bfm - system load plugin for gkrellm with a duck
Closes: 436580 450079 553959 555923 615303 615318
Changes: 
 bfm (0.6.4-4) unstable; urgency=low
 .
   * Fixed nostrip build option. (Closes: #436580)
   * Fixed watch. (Closes: #450079)
   * Fixed menu.
   * Fixed FTBFS bug with binutils-gold. (Closes: #553959)
   * Fixed black background in WindowMaker. (Closes: 555923)
   * Updated to Standards-Version: 3.9.1
   * Removed the deprecated pseudo header for Homepage and turned it into a
     regular debian/control field (Closes:#615303, #615318).
Checksums-Sha1: 
 e29b3d39f5a3d86cc71b8b41fbdffb1f1ab7f66a 1712 bfm_0.6.4-4.dsc
 d2410c084199ea2d32fd0eb4e87e9d24dbfa32a2 3412 bfm_0.6.4-4.diff.gz
 effca97c77f9bf62ceb9c9cf0a2bdb5e3808580b 31098 bubblefishymon_0.6.4-4_amd64.deb
 ca6c6a03fbaed3c99af3fe6a3f42f55a857307ca 36126 gkrellm-bfm_0.6.4-4_amd64.deb
Checksums-Sha256: 
 e7bc6a753103ddc096fbb497f1e57ac0e4d423eb45377507e4218cd77c4229f4 1712 bfm_0.6.4-4.dsc
 ffaa5f16cd179cf3a3d0ee66e0d534636eaadb9555a4958b87e5192e20a852da 3412 bfm_0.6.4-4.diff.gz
 4f241361bd9b1173277c601aae36fb9aaa9dc468dd48d40bb8be9607fec1f92e 31098 bubblefishymon_0.6.4-4_amd64.deb
 a1e28b2a737a225afe43aea57fb07b2ddabb3b345e82afabcdb1263e9abfdc8b 36126 gkrellm-bfm_0.6.4-4_amd64.deb
Files: 
 e35ee85cbe08a381cbdb786d4a640071 1712 x11 optional bfm_0.6.4-4.dsc
 c8e2bc33be3ce5b43ad26c7456f0fc5b 3412 x11 optional bfm_0.6.4-4.diff.gz
 6cb9f70150111e2d007ea90519925c8b 31098 x11 optional bubblefishymon_0.6.4-4_amd64.deb
 c7e0dbf3e1984c47dd6e7e2fd11f9116 36126 x11 optional gkrellm-bfm_0.6.4-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Debian!

iQIcBAEBCgAGBQJNauTuAAoJEFWSMx4ZnTiowyMP/iBWcE7fAU539TQrvf+pnXMU
j2NJ3IDi211tGp/F9fIvJUGzdMomvFED/GyzWiawKX7De8IYcAwXNscLM5rdQfm/
ngNfRPXtc8JOrAn+b0J1vQGdY98yOnVxgF8LF85CC2XovscgK1RKPAtGCuytj0VR
KS5laGiiK5sU59EiJ4x3pBfDKQL7fPs3z03z2PJuRC9YCuiVc+LoTJbVVj51hLHf
NxqCeLWxL6/VsW1PF0UUR4gJEXaCXWT5bOCpoDuxu4VgtM3sQ/SlfNo1lg9mQswc
60fcTg//3YMr5KCYnaXKZT93lWDrbk+nM9+FAPfJWlxd+QNn53A/wtpMCfF66Kak
k9rRW4eB2FfvX5pZtDYtAQT5L/3R4ajGzui1tvLWF1KDBOZFFwSOe9WHf4R7pGlF
mGoM4/eJ0SD2exRlbFpYGTdyYY4bn3LUSnyzKGlYTtdB/22DkJdgXDPj1CYrcB9e
DNeE1tgTS2g5+EUjFVI1N2pnJzYCnobfxgasZ5WR3Sbg0fVuWD/HCi8/ZGA/bJK9
/lh+I9LCI3QCl14onjuZS1E86yEQfxZJhQpL3fIsRoupZX67L8NfCnRszRc2kFkI
WnhHXNGl/NgYaFHy01QQR3FILSxxYdUTh5K/vZ2jAtImZZU+/sakv2x/LakeMM3z
WNe2QH/D4wPsw90HwkFG
=8Eu3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 07:53:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:29:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.